import PropTypes from "prop-types";
import '../stories/button.css';

function Button({ primary, label, size, backgroundColor, handleClick, disable }) {
  const variant = primary ? 'sb-button--primary' : 'sb-button--secondary';
  return (
    <button onClick={handleClick} className={['sb-button', `sb-button--${size}`, variant].join(' ')}
      style={backgroundColor && { backgroundColor }} disabled={disable}>
      {label}
    </button>
  )
}

Button.propTypes = {
  label: PropTypes.string,
  disable:PropTypes.bool,
  backgroundColor: PropTypes.string,
  size: PropTypes.oneOf(["sm", "md", "lg"]),
  handleClick: PropTypes.func,
}

export default Button