import React, { useState } from 'react';

const Form = ({ onAdd }) => {

    const [text, setText] = useState();
    const [mark, setMark] = useState();
    const [editId, setEdit] = useState();
    const [editMode, setEditMode] = useState(false);

    const handleSubmit = (e) => {
        e.preventDefault()

        if (!text) {
            alert('Please Enter Student Name');
            return;
        } else if (!mark) {
            alert('Please Enter Mark');
            return;
        }

        onAdd({
            mark: mark,
            text: text,
        });

        setText('');
        setMark('');
    }

    const handleEditChange = (id, children, marks) => {
        setEditMode(true);
        setEdit(id);
        setMark(marks);
        setText(children);
    };

    const updateStudent = async (id) => {
        let item = { text, mark }
        const response = await fetch(`http://localhost:5000/students/${id}`, {
            method: 'PUT',
            headers: {
                'Accept': 'application/json',
                'Content-Type': 'application/json'
            },
            body: JSON.stringify(item)
        })
        const data = await response.json();
    }

    return (
        <form className='add-form' onSubmit={!editMode ? handleSubmit : () => updateStudent(editId)}>
            <div className='form-ctrl'>
                <label>Student Name</label>
                <input type='text' placeholder='Name' value={text} onChange={(e) => setText(e.target.value)} />
            </div>
            <div className='form-ctrl'>
                <label>Mark</label>
                <input type='number' placeholder='Mark' value={mark} onChange={(e) => setMark(e.target.value)} />
            </div>
            {!editMode ?
                <input type='submit' value='Save' className='button button-block'></input> :
                <input type='submit' value='Update' className='button button-block'></input>}
        </form>
    )
}

export default Form
